commit:     c97e26f4584d8359ad9e618b325072bd05cb0283
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Fri Jan 22 21:02:54 2016 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Fri Jan 22 21:03:03 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c97e26f4

dev-libs/go-fuse: Use egit_clean to clean workdir

* Sort global scope according to skel.ebuild
* Add missing die

Package-Manager: portage-2.2.27
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 dev-libs/go-fuse/go-fuse-0_p20140812-r1.ebuild | 21 ++++++++-----
 dev-libs/go-fuse/go-fuse-0_p20150422.ebuild    | 18 ++++++-----
 dev-libs/go-fuse/go-fuse-9999.ebuild           | 42 +++++++++++++-------------
 3 files changed, 46 insertions(+), 35 deletions(-)

diff --git a/dev-libs/go-fuse/go-fuse-0_p20140812-r1.ebuild 
b/dev-libs/go-fuse/go-fuse-0_p20140812-r1.ebuild
index eb4bbe6..ceebfb3 100644
--- a/dev-libs/go-fuse/go-fuse-0_p20140812-r1.ebuild
+++ b/dev-libs/go-fuse/go-fuse-0_p20140812-r1.ebuild
@@ -1,21 +1,28 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
 EAPI=5
 
-KEYWORDS="~amd64"
-RESTRICT="strip"
-DESCRIPTION="FUSE bindings for Go"
+inherit eutils
+
 GO_PN=github.com/hanwen/${PN}
-HOMEPAGE="https://${GO_PN}";
 EGIT_COMMIT="8c85ded140ac1889372a0e22d8d21e3d10a303bd"
+
+HOMEPAGE="https://${GO_PN}";
+DESCRIPTION="FUSE bindings for Go"
 SRC_URI="https://${GO_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
-LICENSE="BSD"
+
 SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~amd64"
 IUSE=""
+
 DEPEND=">=dev-lang/go-1.3"
 RDEPEND=""
+
+RESTRICT="strip"
+
 S=${WORKDIR}
 
 src_unpack() {
@@ -47,6 +54,6 @@ src_install() {
        doins -r pkg
        insinto /usr/lib/go/src
        rm src/${GO_PN}/all.bash.patched || die
-       find src/${GO_PN} -name .gitignore -delete
+       egit_clean src/${GO_PN}
        doins -r src/*
 }

diff --git a/dev-libs/go-fuse/go-fuse-0_p20150422.ebuild 
b/dev-libs/go-fuse/go-fuse-0_p20150422.ebuild
index 839de1e..60eefb5 100644
--- a/dev-libs/go-fuse/go-fuse-0_p20150422.ebuild
+++ b/dev-libs/go-fuse/go-fuse-0_p20150422.ebuild
@@ -1,29 +1,33 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
 EAPI=5
 
-KEYWORDS="~amd64"
-RESTRICT="strip"
-DESCRIPTION="FUSE bindings for Go"
+inherit eutils
+
 GO_PN=github.com/hanwen/${PN}
-HOMEPAGE="https://${GO_PN}";
 EGIT_COMMIT="ffed29ec8b88f61c1b8954134cc48ef03bb26ce1"
+
+HOMEPAGE="https://${GO_PN}";
+DESCRIPTION="FUSE bindings for Go"
 SRC_URI="https://${GO_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
-LICENSE="BSD"
+
 SLOT="0"
+LICENSE="BSD"
 KEYWORDS="~amd64"
 IUSE=""
 
 DEPEND=">=dev-lang/go-1.3"
 RDEPEND=""
 
+RESTRICT="strip"
+
 src_unpack() {
        default_src_unpack
        mkdir -p "${S}/src/${GO_PN%/*}" || die
        mv ${PN}-${EGIT_COMMIT} "${S}/src/${GO_PN}" || die
-       find "${S}" -name .gitignore -delete || die
+       egit_clean
 }
 
 call_go() {

diff --git a/dev-libs/go-fuse/go-fuse-9999.ebuild 
b/dev-libs/go-fuse/go-fuse-9999.ebuild
index f3e190c..8b44f59 100644
--- a/dev-libs/go-fuse/go-fuse-9999.ebuild
+++ b/dev-libs/go-fuse/go-fuse-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
@@ -6,8 +6,6 @@ EAPI=5
 
 inherit git-r3
 
-RESTRICT="strip"
-
 DESCRIPTION="native bindings for the FUSE kernel module"
 HOMEPAGE="https://github.com/hanwen/go-fuse";
 EGIT_REPO_URI="https://github.com/hanwen/go-fuse.git";
@@ -20,37 +18,39 @@ IUSE=""
 DEPEND=">=dev-lang/go-1.3"
 RDEPEND=""
 
+RESTRICT="strip"
+
 GO_PN="github.com/hanwen/${PN}"
 EGIT_CHECKOUT_DIR="${S}/src/${GO_PN}"
 
 export GOPATH="${S}"
 
 src_compile() {
+       local d
 #no examples right now
 #    example/hello example/loopback example/zipfs \
 #    example/multizip example/unionfs example/memfs \
 #    example/autounionfs ; \
 #or tests
 #fuse/test
-for d in fuse fuse/pathfs zipfs unionfs
-do
-       go build -v -x -work ${GO_PN}/${d} || die
-done
+       for d in fuse fuse/pathfs zipfs unionfs; do
+               go build -v -x -work ${GO_PN}/${d} || die
+       done
 }
 
 src_install() {
-for d in fuse fuse/pathfs zipfs unionfs
-do
-       go install -v -x -work ${GO_PN}/${d} || die
-done
-
-insinto /usr/lib/go/
-doins -r "${S}/pkg"
-insinto "/usr/lib/go/src/${GO_PN}/"
-#for this ebuild, to fix bug #503324 I have limited what is installed
-#another possible solution would have been using adddeny to the
-#hide installed filed during build
-rm -r "${S}/src/${GO_PN}/.git"
-doins -r "${S}/src/${GO_PN}/fuse"
-doins -r "${S}/src/${GO_PN}/splice"
+       local d
+       for d in fuse fuse/pathfs zipfs unionfs; do
+               go install -v -x -work ${GO_PN}/${d} || die
+       done
+
+       insinto /usr/lib/go/
+       doins -r "${S}/pkg"
+       insinto "/usr/lib/go/src/${GO_PN}/"
+       #for this ebuild, to fix bug #503324 I have limited what is installed
+       #another possible solution would have been using adddeny to the
+       #hide installed filed during build
+       egit_clean "${S}/src/${GO_PN}"
+       doins -r "${S}/src/${GO_PN}/fuse"
+       doins -r "${S}/src/${GO_PN}/splice"
 }

Reply via email to